Rhino.Geometry.Brep.CreateBooleanDifference not creating difference (

Hi there,

I am trying to cut texts into solids.
The result I am getting is an empty array/list.

I know that all the breps created face to the outside, but that should not be a problem I suppose.

for n in annotations:

    vector = n.Plane.ZAxis
    vector = vector * (-1)

    dim_style = Rhino.RhinoDoc.ActiveDoc.DimStyles.Current

    polysrfs = n.CreatePolySurfaces(dim_style, 10)

    for polysrf in polysrfs:
        if polysrf != None:

            polysrf.Translate(vector)
            #polysrf.Flip()
            #Rhino.RhinoDoc.ActiveDoc.Objects.AddBrep(polysrf)

#Rhino.RhinoDoc.ActiveDoc.Objects.AddBrep(panel)

tolerance = scriptcontext.doc.ModelAbsoluteTolerance

newbreps = Rhino.Geometry.Brep.CreateBooleanDifference([panel], polysrfs, tolerance)
print (newbreps)
print (Rhino.RhinoDoc.ActiveDoc.Objects.AddBrep(newbreps[0]))

panel and annotations are variables from the rest of the code.
The model itself looks like this


and the texts and everything is created perfectly fine.

Any idea what I am missing?

Thanks,
T.

Hi @tobias.stoltmann,

Can you post your geometry? If you don’t have any geometry, then can you provide a working sample, that we can run here, that reproduces the problem?

Thanks,

– Dale